Skip to main content

Send communication

Send communication via sms/email to the given renter

POST
/api/partners/v1/community/:community_id/renters/:funnel_renter_id/send-communication/

Request

Example requestPOSTapplication/json
curl -X POST \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "message_type": "default",
      "message_text_body": "your documents are ready to be signed",
      "message_html_body": "<h1>Documents ready</h1><br/>Your documents to renew are ready, you can sign them.",
      "message_template_id": 0,
      "message_subject": "Document to sign",
      "to_addresses": [
        "na@na.com"
      ]
    }' \
    "https://api.funnelleasing.com/api/partners/v1/community/1234/renters/:funnel_renter_id/send-communication/"

Response

Example responseJSON200 · application/json
{
  "status": "success",
  "messages_queued": [
    {
      "funnel_person_id": 123,
      "renter_person_xid": 856,
      "email": "na@na.com",
      "from_email_address": "na@na.com",
      "message": "This is an email message to the renter",
      "message_type": "email",
      "message_id": 123,
      "subject": "This is a subject"
    },
    {
      "funnel_person_id": 123,
      "renter_person_xid": 856,
      "phone": 1234567890,
      "from_phone_number": 1234567890,
      "message": "This is a sms message to the renter",
      "message_type": "sms",
      "message_id": 123
    }
  ],
  "messages_failed": [
    {
      "funnel_person_id": 457,
      "renter_person_xid": 632,
      "phone": 1456123789,
      "message": "your documents are ready",
      "message_type": "sms",
      "message_id": "7wge34"
    },
    {
      "email": "na@na.com",
      "message_type": "email",
      "error_message": "Unable to match the 'na@na.com'."
    }
  ]
}